Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoSelectPerc< EOT > Class Template Reference

eoSelectPerc selects many individuals using eoSelectOne as it's mechanism. More...

`#include <eoSelectPerc.h>`

Inheritance diagram for eoSelectPerc< EOT >:

List of all members.

## Public Member Functions
| eoSelectPerc (eoSelectOne< EOT > &_select, float _rate=1.0)
| init
virtual void | operator() (const eoPop< EOT > &_source, eoPop< EOT > &_dest)
| The implementation selects a percentage.
## Private Attributes
eoSelectOne< EOT > & | select
float | rate

## Detailed Description

### template<class EOT>
class eoSelectPerc< EOT >

eoSelectPerc selects many individuals using eoSelectOne as it's mechanism.

Therefore eoSelectPerc needs an eoSelectOne in its ctor

It will select floor(rate*pop.size()) individuals and pushes them to the back of the destination population.

Definition at line 42 of file eoSelectPerc.h.

## Member Function Documentation

template<class EOT>
virtual void eoSelectPerc< EOT >::operator() | ( | const eoPop< EOT > & | _source,
|  | eoPop< EOT > & | _dest
| ) | `[inline, virtual]`

  | The implementation selects a percentage. Parameters:
  | _source | the source population
  | _dest | the resulting population (size of this population is the number of times eoSelectOne is called. It empties the destination and adds the selection into it)
Implements eoBF< const eoPop< EOT > &, eoPop< EOT > &, void >. Definition at line 55 of file eoSelectPerc.h. References eoSelectOne< EOT, WorthT >::setup().

The documentation for this class was generated from the following file:

- eoSelectPerc.h